#!/bin/bash

for i in *fedora.config ; do
    # do something with $file
    echo '# CONFIG_TP_SMAPI is not set' >> $i
	echo '# CONFIG_CC_OPTIMIZE_FOR_PERFORMANCE_O3 is not set' >> $i
	echo 'CONFIG_NR_TTY_DEVICES=63' >> $i
	echo 'CONFIG_RESERVE_ACTIVEFILE_TO_PREVENT_DISK_THRASHING=y' >> $i
	echo 'CONFIG_RESERVE_ACTIVEFILE_KBYTES=65536' >> $i
	echo 'CONFIG_RESERVE_INACTIVEFILE_TO_PREVENT_DISK_THRASHING=y' >> $i
	echo 'CONFIG_RESERVE_INACTIVEFILE_KBYTES=65536' >> $i
	echo 'CONFIG_RAID6_USE_PREFER_GEN=y' >> $i
	echo '# CONFIG_KERNEL_ZSTD is not set' >> $i
        sed -i -e 's/CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL=y/# CONFIG_CPU_FREQ_DEFAULT_GOV_SCHEDUTIL is not set/' $i
        sed -i -e 's/CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND=y/# CONFIG_CPU_FREQ_DEFAULT_GOV_ONDEMAND is not set/' $i
        sed -i -e 's/# CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE is not set/CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y/' $i
done
